textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/latticeclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm latticesteps 
}

textures/pad_attic/lampdraht
{
	qer_editorimage textures/pad_attic/lampdraht.tga
	surfaceparm trans
	surfaceparm nomarks
             surfaceparm nonsolid		
	surfaceparm nolightmap
	surfaceparm alphashadow
	cull none
	q3map_surfacelight 50
        nopicmip
		{
		map textures/pad_attic/lampdraht.tga 
blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_cyb/pad_cyb_rust1
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
   
        {
		map textures/pad_cyb/pad_cyb_rust1.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_cyb/screw1
{
        qer_editorimage textures/pad_cyb/screw1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_cyb/screw1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_wop/padbubble
{       	
	qer_editorimage textures/pad_wop/padbubble.tga
	qer_trans 0.5
	surfaceparm nonsolid
        surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/pad_wop/padbubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_wop/padjump_red
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_red.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_red2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padjump_blue
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_blue.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_blue2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_enteflare/lightyy
{
    q3map_surfacelight 400
              q3map_flareshader flareshader
	surfaceparm nolightmap
    {
        map textures/pad_enteflare/lightyy.tga
    }
}

textures/pad_garden/nail
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_garden/nail.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_garden/faltblech
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/faltblech.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_gfx/glass_normal
{
	qer_editorimage textures/pad_gfx/glass_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_normal.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/flare
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/pad_gfx/flare.tga
            blendfunc gl_one gl_one
          }
}

textures/pad_gfx/lack
{
	qer_editorimage textures/pad_gfx/lack.tga
	{
		map textures/pad_gfx/lack.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx02/metal01
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal01.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal01.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/wat01
{
		qer_editorimage textures/pad_gfx02/wat01.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/pad_gfx02/wat02.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/pad_gfx02/wat03.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/pad_gfx02/wat01.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	

	}

textures/pad_gfx02b/desk04
{
	q3map_lightimage textures/pad_gfx02b/desk04.tga
	q3map_surfacelight 70

        {
		map textures/pad_gfx02b/desk04.tga
		rgbgen identity
	}
	
        {
		map textures/pad_gfx02b/comp_line02.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 0 1
	}

        {
		map textures/pad_gfx02b/compsnowb.tga
	        blendfunc add
                rgbgen identity
		tcmod scroll 3 3
	}

	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/pad_gfx02b/git005
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_gfx02b/git005.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_petesky/sist
{
        qer_editorimage textures/pad_petesky/sist.tga


	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/pad_petesky/orange01.tga
	q3map_sun	0.266383 0.274632 0.358662 100 50 55
	q3map_surfacelight 200

        skyparms env/sist512 - -
}

textures/pad_harm/notausgang
{
    q3map_surfacelight 300
    surfaceparm nolightmap
    {
        map textures/pad_harm/notausgang.tga
    }
}

textures/pad_journey/abhaube005
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_journey/abhaube005.tga
	{
		map textures/pad_journey/abhaube005.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/metal05
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_journey/metal05.tga
	{
		map textures/pad_journey/metal05.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/mirror_01
{
	qer_editorimage textures/pad_journey/mirror_01.tga
	{
		map textures/pad_journey/mirror_01.tga
		rgbgen identity
	}
	{
		map textures/pad_journey/mirrorgl_02.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/mirror_02
{
	qer_editorimage textures/pad_journey/mirror_02.tga
	{
		map textures/pad_journey/mirror_02.tga
		rgbgen identity
	}
	{
		map textures/pad_journey/mirrorgl_03.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/mirror_03
{
	qer_editorimage textures/pad_journey/mirror_01.tga
	{
		map textures/pad_journey/mirror_01.tga
		rgbgen identity
	}
	{
		map textures/pad_journey/mirrorgl_04.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/mirror_04
{
	qer_editorimage textures/pad_journey/mirror_02.tga
	{
		map textures/pad_journey/mirror_02.tga
		rgbgen identity
	}
	{
		map textures/pad_journey/mirrorgl_05.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/mirror_05
{
	qer_editorimage textures/pad_journey/mirror_01.tga
	{
		map textures/pad_journey/mirror_01.tga
		rgbgen identity
	}
	{
		map textures/pad_journey/mirrorgl_06.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/mirror_06
{
	qer_editorimage textures/pad_journey/mirror_02.tga
	{
		map textures/pad_journey/mirror_02.tga
		rgbgen identity
	}
	{
		map textures/pad_journey/mirrorgl_07.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_journey/milchglass02
{
	qer_editorimage textures/pad_journey/greywhite.tga
	cull back
	{
		map textures/pad_journey/greywhite.tga
		blendfunc add
	}
	{
		map textures/pad_gfx/env2.tga
		blendfunc filter
		tcgen environment 
	}
}

textures/pad_journey/puppet_window02
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
         
     
        {
                map textures/pad_journey/puppet_window02.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_journey/trainticket
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_journey/trainticket.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_journey/trainticketr
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_journey/trainticketr.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_journey/oberl01
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
         
     
        {
                map textures/pad_journey/oberl01.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_journey/blue_trainchair02
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_journey/blue_trainchair02.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_journey/red_trainchair02
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_journey/red_trainchair02.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_journey/riffelblech01
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_journey/riffelblech01.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_journey/wood019blu
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_journey/wood019blu.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_journey/wood019red
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_journey/wood019red.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_journey/schienen01
{
      qer_editorimage textures/pad_journey/schienen01.tga
      surfaceparm nolightmap
      surfaceparm nonsolid
      surfaceparm trans
      cull disable

      {
            map textures/pad_journey/schienen01.tga
            blendfunc blend
            tcmod scroll 0 -2.6
      }
      {
            map textures/pad_journey/schienen01.tga
            blendfunc blend
            tcmod scroll 0 -2.6
      }
}

textures/pad_journey/nature_train
{
      qer_editorimage textures/pad_journey/nature_train.tga
      surfaceparm nolightmap
      surfaceparm nonsolid
      surfaceparm trans
      cull disable

      {
            map textures/pad_journey/nature_train.tga
            blendfunc blend
            tcmod scroll 0 -2.5
      }
      {
            map textures/pad_journey/nature_train.tga
            blendfunc blend
            tcmod scroll 0 -2.5
      }
}

textures/pad_journey/wall_stone_train
{
      qer_editorimage textures/pad_journey/wall_stone_train.tga
      surfaceparm nolightmap
      surfaceparm nonsolid
      surfaceparm trans
      cull disable

      {
            map textures/pad_journey/wall_stone_train.tga
            blendfunc blend
            tcmod scroll 0 -1.2
      }
      {
            map textures/pad_journey/wall_stone_train.tga
            blendfunc blend
            tcmod scroll 0 -1.2
      }
}

textures/pad_journey/wall_stone036_train
{
      qer_editorimage textures/pad_journey/wall_stone036_train.tga
      surfaceparm nolightmap
      surfaceparm nonsolid
      surfaceparm trans
      cull disable

      {
            map textures/pad_journey/wall_stone036_train.tga
            blendfunc blend
            tcmod scroll 0 -3.6
      }
      {
            map textures/pad_journey/wall_stone036_train.tga
            blendfunc blend
            tcmod scroll 0 -3.6
      }
}

textures/pad_journey/plakat
{
        qer_editorimage textures/pad_journey/plakat.tga
	{
		map textures/pad_journey/plakat.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/abhaube007
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/abhaube007.tga
	{
		map textures/pad_kitchen/abhaube007.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/abhaube004
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/abhaube004.tga
	{
		map textures/pad_kitchen/abhaube004.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/schacht01c
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/schacht01c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/lampi001
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/lampi001.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

models/mapobjects/pad_ddmix/anteroom/metal_suitcase
{
	{
		map models/mapobjects/pad_ddmix/anteroom/metal_suitcase.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/anteroom/silver_case
{
	{
		map models/mapobjects/pad_ddmix/anteroom/silver_case.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_train/toilet_ceramic
{
	{
		map models/mapobjects/pad_train/ttoilet.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/ceramic.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_train/toilet_plastic_shiny
{
	{
		map models/mapobjects/pad_train/ttoilet.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/plastic_shiny.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_train/toilet_plastic_matte
{
	{
		map models/mapobjects/pad_train/ttoilet.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_train/toilet_metal
{
	{
		map models/mapobjects/pad_train/ttoilet.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/metal_test.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_train/tdoorhandle
{
	{
		map models/mapobjects/pad_train/tdoorhandle.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_train/ehammer_metal
{
	{
		map models/mapobjects/pad_train/ehammer.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/metal_test.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_train/soapdispenser
{
	{
		map models/mapobjects/pad_train/soapdispenser.tga
		rgbgen identity
	}
        {
                map textures/pad_gfx02/tinpad4.tga
		blendfunc add
                rgbgen vertex
		tcgen environment
        }
}

models/mapobjects/pad_train/soapdispenser_window
{
  {
		map models/mapobjects/pad_train/soapdispenser.tga
		rgbgen identity
	}
  {
    map textures/pad_gfx/glass_bright.tga
		blendfunc add
    rgbgen vertex
		tcgen environment
  }
}

models/mapobjects/pad_train/ptoweldispenser
{
  cull none
  {
    map models/mapobjects/pad_train/ptoweldispenser.tga
    rgbgen identity
  }
}

models/mapobjects/pad_train/ptoweldispenser_shiny
{
	{
		map models/mapobjects/pad_train/ptoweldispenser.tga
		rgbgen identity
	}
  {
    map textures/pad_gfx02/tinpad4.tga
		blendfunc add
    rgbgen vertex
		tcgen environment
  }
}

textures/pad_wood/woo37stoncurve
{
          qer_editorimage textures/pad_wood/wood037.tga
           surfaceparm nonsolid		
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_wood/wood037.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_metal/wallmet_d
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/wallmet_d.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_floorin/floor034b
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_floorin/floor034b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood019
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood019.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood091
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood091.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

